Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021598
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2012-09-11 09:392012-09-26 17:20
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0MP16
StatusclosedFix in branchFixed in SCM revisiona15fcd799ebf
ProjectionnoneETAnoneTarget Version3.0MP16
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021598: SMTP Authentication parameter is not being retrieved properly

DescriptionFor an email server that not requires SMTP Authentication, we don't have to check off the SMTP Authentication parameter. But even with this parameter not checked, the system always perform the authentication method. So, this parameter is not being used properly.
Steps To Reproduce1) Go to General Setup > Client > Client. In the [Email Configuration] tab, configure the email account without checking off the smtp Authentication checkbox.
2) Define the email template for a document type, for example for Purchase Order
3) Create a new Purchase Order and book it.
4) Send mail
5) The user obtains an error: "There not exists authentication method in the client or in the server"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0052244)
hgbot (developer)
2012-09-19 18:15

Repository: erp/devel/pi
Changeset: a15fcd799ebf6b55c54fdf69c3aba811b419b381
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Sep 19 18:08:56 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a15fcd799ebf6b55c54fdf69c3aba811b419b381 [^]

fixes issue 21598: SMTP Authentication parameter is not being retrieved properly

---
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
---
(0052245)
caristu (developer)
2012-09-19 18:17

Test Plan:

1) Go to General Setup > Client > Client. In the [Email Configuration] tab, configure the email account without checking off the smtp Authentication checkbox.
2) Define the email template for a document type, for example for Purchase Order
3) Create a new Purchase Order and book it.
4) Send mail
5) Check that the reported error doesn't appear anymore
(0052277)
ngarcia (developer)
2012-09-21 12:32

code reviewed
(0052791)
hudsonbot (developer)
2012-09-26 17:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-09-11 09:39 caristu New Issue
2012-09-11 09:39 caristu Assigned To => caristu
2012-09-11 09:39 caristu Modules => Core
2012-09-11 09:40 caristu Issue Monitored: networkb
2012-09-19 18:15 hgbot Checkin
2012-09-19 18:15 hgbot Note Added: 0052244
2012-09-19 18:15 hgbot Status new => resolved
2012-09-19 18:15 hgbot Resolution open => fixed
2012-09-19 18:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a15fcd799ebf6b55c54fdf69c3aba811b419b381 [^]
2012-09-19 18:17 caristu Note Added: 0052245
2012-09-21 12:32 ngarcia Closed by => ngarcia
2012-09-21 12:32 ngarcia Note Added: 0052277
2012-09-21 12:32 ngarcia Status resolved => closed
2012-09-21 12:32 ngarcia Fixed in Version => 3.0MP16
2012-09-26 17:20 hudsonbot Checkin
2012-09-26 17:20 hudsonbot Note Added: 0052791


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker